#$Rev: 10193 $ all.
data <- read.csv("survey_835898_R_data_file.csv", na.strings=c(",", "\"\""), stringsAsFactors=FALSE)

data[, 1] <- as.numeric(data[, 1])
attributes(data)$variable.labels[1] <- "id"
names(data)[1] <- "id"

data[, 2] <- as.character(data[, 2])
attributes(data)$variable.labels[2] <- "submitdate"
names(data)[2] <- "submitdate"

#Field hidden

data[, 3] <- as.character(data[, 3])
attributes(data)$variable.labels[3] <- "startlanguage"
names(data)[3] <- "startlanguage"

data[, 4] <- as.character(data[, 4])
attributes(data)$variable.labels[4] <- "token"
names(data)[4] <- "token"

data[, 5] <- as.character(data[, 5])
attributes(data)$variable.labels[5] <- "startdate"
names(data)[5] <- "startdate"

data[, 6] <- as.character(data[, 6])
attributes(data)$variable.labels[6] <- "datestamp"
names(data)[6] <- "datestamp"

data[, 7] <- as.character(data[, 7])
attributes(data)$variable.labels[7] <- "refurl"
names(data)[7] <- "refurl"

data[, 8] <- as.numeric(data[, 8])
attributes(data)$variable.labels[8] <- "¿Sabes qué es el software libre?"
data[, 8] <- factor(data[, 8], levels=c(1,2,3,4),labels=c("","","",""))
names(data)[8] <- "queEsSL"

data[, 9] <- as.numeric(data[, 9])
attributes(data)$variable.labels[9] <- "¿Usas software libre?"
data[, 9] <- factor(data[, 9], levels=c(1,2,3),labels=c("","",""))
names(data)[9] <- "usasSL"

data[, 10] <- as.numeric(data[, 10])
attributes(data)$variable.labels[10] <- "¿Por qué no usas SL?"
data[, 10] <- factor(data[, 10], levels=c(1,2,3,4,5),labels=c("","","","",""))
names(data)[10] <- "porqueNoSL"

data[, 11] <- as.numeric(data[, 11])
attributes(data)$variable.labels[11] <- "[El software libre se actualiza con más frecuencia que el comercial] Valora del 1 (mínimo) al 5 (máximo) tu grado de acuerdo con las siguientes afirmaciones"
names(data)[11] <- "valoraAfirmaciones_1"

data[, 12] <- as.numeric(data[, 12])
attributes(data)$variable.labels[12] <- "[El software libre es igual o más seguro que el resto de software] Valora del 1 (mínimo) al 5 (máximo) tu grado de acuerdo con las siguientes afirmaciones"
names(data)[12] <- "valoraAfirmaciones_2"

data[, 13] <- as.numeric(data[, 13])
attributes(data)$variable.labels[13] <- "[El software libre suele tener menos funcionalidades que el comercial] Valora del 1 (mínimo) al 5 (máximo) tu grado de acuerdo con las siguientes afirmaciones"
names(data)[13] <- "valoraAfirmaciones_3"

data[, 14] <- as.numeric(data[, 14])
attributes(data)$variable.labels[14] <- "[El software libre tiene suficiente soporte y ayuda] Valora del 1 (mínimo) al 5 (máximo) tu grado de acuerdo con las siguientes afirmaciones"
names(data)[14] <- "valoraAfirmaciones_4"

data[, 15] <- as.numeric(data[, 15])
attributes(data)$variable.labels[15] <- "¿Con cuál de las siguientes afirmaciones te identificas más?"
data[, 15] <- factor(data[, 15], levels=c(1,2,3,4),labels=c("","","",""))
names(data)[15] <- "identificasConAfirma"

data[, 16] <- as.numeric(data[, 16])
attributes(data)$variable.labels[16] <- "[Que sea libre, apoyo la filosofía de libertad ] ¿Qué factores valoras más a la hora de escoger un programa? (Valora de 1 a 5)"
names(data)[16] <- "factoresProgramas_1"

data[, 17] <- as.numeric(data[, 17])
attributes(data)$variable.labels[17] <- "[Que sea gratuito ] ¿Qué factores valoras más a la hora de escoger un programa? (Valora de 1 a 5)"
names(data)[17] <- "factoresProgramas_2"

data[, 18] <- as.numeric(data[, 18])
attributes(data)$variable.labels[18] <- "[Que esté en español] ¿Qué factores valoras más a la hora de escoger un programa? (Valora de 1 a 5)"
names(data)[18] <- "factoresProgramas_3"

data[, 19] <- as.numeric(data[, 19])
attributes(data)$variable.labels[19] <- "[Que tenga muchas funcionalidades ] ¿Qué factores valoras más a la hora de escoger un programa? (Valora de 1 a 5)"
names(data)[19] <- "factoresProgramas_4"

data[, 20] <- as.numeric(data[, 20])
attributes(data)$variable.labels[20] <- "[Que me lo hayan recomendado un conocido ] ¿Qué factores valoras más a la hora de escoger un programa? (Valora de 1 a 5)"
names(data)[20] <- "factoresProgramas_5"

data[, 21] <- as.numeric(data[, 21])
attributes(data)$variable.labels[21] <- "[Que lo recomienden en Internet (foros, blogs...) ] ¿Qué factores valoras más a la hora de escoger un programa? (Valora de 1 a 5)"
names(data)[21] <- "factoresProgramas_6"

data[, 22] <- as.numeric(data[, 22])
attributes(data)$variable.labels[22] <- "¿El software libre te da confianza?"
data[, 22] <- factor(data[, 22], levels=c(1,2,3,4),labels=c("","","",""))
names(data)[22] <- "confianzaSL"

data[, 23] <- as.numeric(data[, 23])
attributes(data)$variable.labels[23] <- "¿Cambiarias programas propietarios y comerciales (como Office o Photoshop) por alternativas libres?"
data[, 23] <- factor(data[, 23], levels=c(1,2,3,4,5),labels=c("","","","",""))
names(data)[23] <- "CambiariasPropietari"

data[, 24] <- as.numeric(data[, 24])
attributes(data)$variable.labels[24] <- "Sexo"
data[, 24] <- factor(data[, 24], levels=c(1,2),labels=c("",""))
names(data)[24] <- "sexo"

data[, 25] <- as.numeric(data[, 25])
attributes(data)$variable.labels[25] <- "¿Qué edad tienes?"
data[, 25] <- factor(data[, 25], levels=c(1,2,3,4,5,6),labels=c("","","","","",""))
names(data)[25] <- "Edad"

data[, 26] <- as.character(data[, 26])
attributes(data)$variable.labels[26] <- "¿En qué país vives?"
names(data)[26] <- "pais"

data[, 27] <- as.character(data[, 27])
attributes(data)$variable.labels[27] <- "¿Qué sistema operativo tienes?"
names(data)[27] <- "sistemaOperativo"

data[, 28] <- as.character(data[, 28])
attributes(data)$variable.labels[28] <- "¿Qué navegador tienes?"
names(data)[28] <- "navegador"

